<!-- <app-catalogue-sub-toolbar></app-catalogue-sub-toolbar> -->
<mat-toolbar class="devs-title">
    <span style="margin-left: 15px;"><h1 class="mat-h1">Network Applications Descriptors</h1></span>
  </mat-toolbar>
  <div class="devs-container">
    <div fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" >
    <table mat-table class="full-width-table devs-table" matSort aria-label="Elements" height="100%">
      <!-- Id Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
        <td mat-cell *matCellDef="let row"><b>{{row.vsDescriptorId}}</b></td>
      </ng-container>
  
      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
        <td mat-cell *matCellDef="let row"><b>{{row.name}}</b></td>
      </ng-container>
  
      <!-- VS Blueprint Column -->
      <ng-container matColumnDef="vsBlueprintId">
        <th mat-header-cell *matHeaderCellDef>Network Applications</th>
        <!--td mat-cell *matCellDef="let row">{{row.vsBlueprintId}}</td-->
        <td mat-cell *matCellDef="let row">
          <tr *ngFor="let name of idToVsbId.get(row.vsDescriptorId) | keyvalue"><td><a (click)="viewVsBlueprint(name.key)">{{name.value}}</a></td></tr>
        </td>
        </ng-container>
  
      <!-- SST Column -->
      <ng-container matColumnDef="sst">
        <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Service Slice Type</th>
        <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.sst}}</td>
      </ng-container>
  
      <!-- Management Type Column -->
      <ng-container matColumnDef="managementType">
        <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Management Type</th>
        <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.managementType}}</td>
      </ng-container>
  
      <!-- Button Column -->
      <ng-container matColumnDef="buttons">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let row">
          <span value="view_descriptor"  (click)="viewVsDescriptor(row.vsDescriptorId)"><i class="fa fa-eye fa-2x" aria-hidden="true"></i></span>
        </td>
      </ng-container>
  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  
    <mat-paginator #paginator fxFlex="100%" fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center"
        [length]="dataSource?.data.length"
        [pageIndex]="0"
        [pageSize]="50"
        [pageSizeOptions]="[25, 50, 100, 250]"
        class="dtc-table paginator-xs" >
    </mat-paginator>
  </div>
  </div>
  